"""
Script for building LocationDo.

Usage:
    python setup.py py2app
"""
from distutils.core import setup, Extension
import py2app

plist = dict(
    CFBundleIdentifier='net.sabi.LocationDo',
    CFBundleName='LocationDo',
    NSPrincipalClass='LocationDo',
    LSUIElement=1,
)

setup(
    app=["LocationDo.py"],
    ext_modules=[Extension('SCNetworkReachability',
                           sources=['SCNetworkReachabilitymodule.c'],
                           extra_link_args=['-framework', 'SystemConfiguration',
                                            '-framework', 'CoreFoundation'])],
    data_files=["English.lproj"],
    options=dict(py2app=dict(plist=plist,
                             resources=['brightness'])),
)
